# Organization API: Customer Portal: Webhooks

> The 3 Organization API operations for webhooks.

Source: https://www.coritan.com/docs/api/reference/organizations/customer-portal/smtp-relay-webhooks/

Part of [Customer Portal](/docs/api/reference/organizations/customer-portal/).

## Operations

| Method | Path | Summary |
| --- | --- | --- |
| GET | [`/api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks`](#op-get-api-v1-orgs-org-slug-portal-smtp-relay-service-id-webhooks) | List webhooks |
| POST | [`/api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks`](#op-post-api-v1-orgs-org-slug-portal-smtp-relay-service-id-webhooks) | Create webhook |
| DELETE | [`/api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks/{webhook_id}`](#op-delete-api-v1-orgs-org-slug-portal-smtp-relay-service-id-webhooks-webhook-id) | Delete webhook |

### List webhooks {#op-get-api-v1-orgs-org-slug-portal-smtp-relay-service-id-webhooks}

`GET /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Create webhook {#op-post-api-v1-orgs-org-slug-portal-smtp-relay-service-id-webhooks}

`POST /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Request body

`application/json` (required)

| Field | Type | Required |
| --- | --- | --- |
| `url` | string | yes |
| `events` | array of string | no |

#### Responses

| Status | Meaning |
| --- | --- |
| `201` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |

### Delete webhook {#op-delete-api-v1-orgs-org-slug-portal-smtp-relay-service-id-webhooks-webhook-id}

`DELETE /api/v1/orgs/{org_slug}/portal/smtp-relay/{service_id}/webhooks/{webhook_id}`

#### Parameters

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `webhook_id` | path | integer | yes |
| `org_slug` | path | string | yes |
| `service_id` | path | integer | yes |

#### Responses

| Status | Meaning |
| --- | --- |
| `200` | Success. |
| `422` | The request is not valid. `detail` lists each problem. |
